%define upstream_name    Class-Accessor
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Automated accessor generation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(base) >= 1.10.0
BuildArch:  noarch

%description
This module automagically generates accessor/mutators for your class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Class
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.510.0-4.mga9
+ Revision: 1808487
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.510.0-3.mga8
+ Revision: 1503559
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.510.0-2.mga7
+ Revision: 1282245
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 0.510.0-1.mga7
+ Revision: 1173329
- update to 0.51

* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-8.mga6
+ Revision: 1023839
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.340.0-7.mga6
+ Revision: 944033
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-6.mga5
+ Revision: 750306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 683872
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-4.mga4
+ Revision: 509990
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-3.mga3
+ Revision: 364188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.340.0-2.mga1
+ Revision: 22084
- cleaning spec file
- imported package perl-Class-Accessor

